CREATE TABLE ZH_REPOSITORY_LANGUAGE (
  ID NUMBER(10) NOT NULL, 
  LANGUAGE_ID NUMBER(10) NOT NULL, 
  REPOSITORY_ID NUMBER(10) NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL
)
/
CREATE SEQUENCE SEQ_ZH_REPOSITORY_LANGUAGE_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
CREATE TABLE ZH_PROJECT_REPOSITORY (
  ID NUMBER(10) NOT NULL, 
  PROJECT_ID NUMBER(10) NOT NULL, 
  REPOSITORY_ID NUMBER(10) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL
)
/
ALTER TABLE ZH_PROJECT_REPOSITORY ADD CONSTRAINT CHECK_11088 CHECK (IS_ACTIVE IN ('Y', 'N'))
/
CREATE SEQUENCE SEQ_ZH_PROJECT_REPOSITORY_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
CREATE TABLE ZH_WORDS_REPOSITORY (
  WORDS_ID NUMBER(10) NOT NULL, 
  REPOSITORY_ID NUMBER(10) NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL, 
  ID NUMBER(10) NOT NULL
)
/
ALTER TABLE ZH_WORDS_REPOSITORY ADD CONSTRAINT CHECK_11096 CHECK (IS_ACTIVE IN ('Y', 'N'))
/
CREATE SEQUENCE SEQ_ZH_WORDS_REPOSITORY_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
CREATE TABLE ZH_WORDS_TRL (
  ID NUMBER(10) NOT NULL, 
  WORDS_ID NUMBER(10) NOT NULL, 
  LANGUAGE_ID NUMBER(10) NOT NULL, 
  VALUE VARCHAR2(4000) NOT NULL, 
  STATUS VARCHAR2(1) DEFAULT 'T' NOT NULL, 
  PRIMARY_VALUE VARCHAR2(4000) NOT NULL, 
  IS_ACTIVE VARCHAR2(1) DEFAULT 'Y' NOT NULL, 
  ORGANIZATION_ID NUMBER(10) NOT NULL, 
  CREATED DATE NOT NULL, 
  UPDATED DATE NOT NULL, 
  CREATED_BY VARCHAR2(255) NOT NULL, 
  UPDATED_BY VARCHAR2(255) NOT NULL
)
/
ALTER TABLE ZH_WORDS_TRL ADD CONSTRAINT CHECK_11107 CHECK (("IS_ACTIVE"='N' OR "IS_ACTIVE"='Y'))
/
CREATE SEQUENCE SEQ_ZH_WORDS_TRL_ID START WITH 1 MINVALUE 1 INCREMENT BY 1
/
ALTER TABLE ZH_WORDS_TRL ADD CONSTRAINT CHECK_STATUS_ZH_WORDS_TRL CHECK (STATUS IN ('A', 'T'))
/
ALTER TABLE ZH_REPOSITORY ADD CONSTRAINT REPOSITORY_LANGUAGE_FK FOREIGN KEY (DEFAULT_LANGUAGE) REFERENCES ZH_LANGUAGE (ID)
/
ALTER TABLE ZH_PROJECT_REPOSITORY ADD CONSTRAINT PRJ_REP_PROJECT_FK FOREIGN KEY (PROJECT_ID) REFERENCES ZH_PROJECT (ID) ON DELETE CASCADE
/
ALTER TABLE ZH_PROJECT_REPOSITORY ADD CONSTRAINT PRJ_REP_REPOSITORY_FK FOREIGN KEY (REPOSITORY_ID) REFERENCES ZH_REPOSITORY (ID) ON DELETE CASCADE
/
ALTER TABLE ZH_PROJECT_REPOSITORY ADD CONSTRAINT PRJ_REP_PK PRIMARY KEY (ID)
/
ALTER TABLE ZH_REPOSITORY_LANGUAGE ADD CONSTRAINT LANG_REPOSITORY_LANGUAGE_FK FOREIGN KEY (LANGUAGE_ID) REFERENCES ZH_LANGUAGE (ID) ON DELETE CASCADE
/
ALTER TABLE ZH_REPOSITORY_LANGUAGE ADD CONSTRAINT LANG_REPOSITORY_REPOSITORY_FK FOREIGN KEY (REPOSITORY_ID) REFERENCES ZH_REPOSITORY (ID) ON DELETE CASCADE
/
ALTER TABLE ZH_REPOSITORY_LANGUAGE ADD CONSTRAINT LANGUAGE_REPOSITORY_PK PRIMARY KEY (ID)
/
ALTER TABLE ZH_WORDS_REPOSITORY ADD CONSTRAINT WORDS_REPOSITORY_REPOSITORY_FK FOREIGN KEY (REPOSITORY_ID) REFERENCES ZH_REPOSITORY (ID) ON DELETE CASCADE
/
ALTER TABLE ZH_WORDS_REPOSITORY ADD CONSTRAINT WORDS_REPOSITORY_WORDS_FK FOREIGN KEY (WORDS_ID) REFERENCES ZH_WORDS (ID) ON DELETE CASCADE
/
ALTER TABLE ZH_WORDS_REPOSITORY ADD CONSTRAINT WORDS_REPOSITORY_PK PRIMARY KEY (ID)
/
ALTER TABLE ZH_WORDS_TRL ADD CONSTRAINT WORDS_TRL_LANGUAGE_FK FOREIGN KEY (LANGUAGE_ID) REFERENCES ZH_LANGUAGE (ID)
/
ALTER TABLE ZH_WORDS_TRL ADD CONSTRAINT WORDS_TRL_WORDS_FK FOREIGN KEY (WORDS_ID) REFERENCES ZH_WORDS (ID)
/
ALTER TABLE ZH_WORDS_TRL ADD CONSTRAINT WORDS_TRL_PK PRIMARY KEY (ID)