/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/* Nome: USR_REGISTRA_FECHAMENTO.sql                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 24/09/2009 - Cleison Rafael da Silva Ferreira                              */
/******************************************************************************/

CREATE OR REPLACE TRIGGER USR_REGISTRA_FECHAMENTO
BEFORE UPDATE
ON PARAMFILIAL FOR EACH ROW
DECLARE
   V_IDPROTHEUS  VARCHAR2(1);
   V_CDFILIAL    VARCHAR2(4);
BEGIN
   IF :OLD.DTPROCESSA <> :NEW.DTPROCESSA THEN
      BEGIN
         SELECT MAX(USR_IDPROTHEUS)
           INTO V_IDPROTHEUS
           FROM FILGRUPFILI
          WHERE CDFILIAL = :NEW.CDFILIAL
            AND USR_IDPROTHEUS = 'S';
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
              V_IDPROTHEUS := 'N';
      END;

      IF V_IDPROTHEUS = 'S' THEN
         BEGIN
            SELECT USR_CDFILIAL
              INTO V_CDFILIAL
              FROM USR_FECHAMENTO
             WHERE USR_CDFILIAL = :NEW.CDFILIAL;
         EXCEPTION
            WHEN NO_DATA_FOUND THEN
               V_CDFILIAL := NULL;
         END;

         IF V_CDFILIAL IS NULL THEN
            INSERT INTO USR_FECHAMENTO
              (USR_CDFILIAL, USR_DTFECHADIA, USR_DTULTATUFECHA)
            VALUES
              (:NEW.CDFILIAL, :NEW.DTPROCESSA, SYSDATE);
         ELSE
            UPDATE USR_FECHAMENTO
               SET USR_DTFECHADIA = :NEW.DTPROCESSA,
                   USR_DTULTATUFECHA = SYSDATE
             WHERE USR_CDFILIAL = :NEW.CDFILIAL;
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('USR_REGISTRA_FECHAMENTO','5.09.000'); END;
/
